---
tags:
  - Statistiche
hide:
  - tags
---

# Dashboard
La *dashboard* costituisce l'area di lavoro di TheTree ed è composta principalmente da 5 aree di lavoro.

![Dashboard](assets/images/TheTreeDashboard.png){ loading=lazy }
## Aree di lavoro nella dashboard
1. Area superiore della pagina e barra dei comandi contestualizzati (riquadro verde in alto nell'immagine)
2. Notifiche di sistema (riquadro blu in basso nell'immagine). 
3. Gestione del profilo (riquadro giallo in basso nell'immagine).
4. Menù dell'applicazione (riquadro fucsia a sinisra nell'immagine).
5. Contenuto di pagina (riquadro rosso nell'immagine).
### Area superiore della pagina
Quest'area include i titoli delle sezioni e i pulsanti delle azioni che si possono compiere in ogni area di lavoro in base ai permessi del proprio utente, nonché la [breadcrumb](https://it.wikipedia.org/wiki/Breadcrumb) per la navigazione tra le pagine.

![Area superiore della pagina](assets/images/Section_1.png){ loading=lazy }

I pulsanti possono essere singoli od aprire un elenco a discesa con ulteriori azioni.
### Notifiche di sistema
Cliccando sul pulsante :material-bell-outline: si può aprire la pagina con le notifiche.  
Se l'icona include un badge rosso :material-bell-badge-outline: sono presenti delle notifiche non lette.

### Gestione del profilo
Quest'area include pulsante - si apre cliccando sul proprio nominativo - per accedere alla gestione del proprio [profilo](profile.md) od eseguire il [*logout*](introduction.md#uscita) dall'applicazione.  

### Menù dell'applicazione
Il menù è sempre consultabile tra le pagine e visualizza le funzioni del sistema disponibili per l'utente in base al proprio [ruolo](ruoli.md).

### Contenuto di pagina
Quest'area contiene le varie form e i contenuti che vengono visualizzati in base al [ruolo](ruoli.md) dell'utente.

!!! note ""

    Nella versione attuale di TheTree viene visualizzato un grafico che riepiloga gli importi delle donazioni ricevute nell'ultimo anno, raggruppate per giorno.

## Pagina iniziale
La pagina iniziale o homepage, è il punto di arrivo dopo l'accesso a TheTree e contiene le statistiche di sistema.

### Azioni
Le **Azioni** disponibili sono:  

| Pulsante | Azione | Dove si trova? |
| :------- | :----- | :---- |
| :material-globe-model: Sito pubblico | Porta al [sito pubblico](introduction.md#sito-pubblico) se attivo| Barra dei [comandi](#area-superiore-della-pagina) |
| :material-book-open-blank-variant: Documentazione | Porta a questa documentazione | Barra dei comandi |
| :fontawesome-brands-discord: Aiuto su Discord | Porta all'aiuto online su Discord | Barra dei comandi |
| :material-translate-variant: Lingua | Apre il menù per scegliere la lingua di sistema | Barra dei comandi |
| Esci | Chiude la sessione di lavoro | Barra dei comandi |



#### Sito pubblico
TheTree può avere anche un'area pubblica che viene personalizzata in base alle esigenze dell'organizzazione che lo utilizza.  
Può essere un sito web, un'interfaccia per esporre i progetti per un crowdfunding, etc.

!!! note ""

    Se il sito pubblico di TheTree non è attivato per la vostra installazione il pulsante non sarà visibile.


#### Aiuto su Discord
Il pulsante :fontawesome-brands-discord: Aiuto su Discord permette di accedere al canale di aiuto online di TheTree.

!!! note ""

    Se il canale di aiuto online non è attivato per la vostra installazione il pulsante non sarà visibile.

#### Lingua di sistema
Il pulsante  :material-translate-variant: Lingua  permette di cambiare la lingua di sistema.  
Il pulsante **viene visualizzato solamente** se l'utente non ha una lingua di default impostata nel suo [profilo](profile.md), come nel caso di un primo accesso dopo l'attivazione dell'account.

#### Esci
Il pulsante consente l'uscita dall'applicazione e chiude la sessione dell'utente. 

