---
tags:
  - Documenti
  - Progetti
  - Archivio
hide:
  - tags
---

# Gestore documentale

La funzione gestisce l'archivio documentale dell'organizzazione. 

## Gestione documenti
La schermata principale visualizza i documenti presenti a sistema e permette di gestire il loro inserimento, la visualizzazione, la cancellazione.
### Ordinamento della lista
La lista è ordinabile per i campi `Titolo documento` cliccando direttamente sull'intestazione di colonna.
### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Data documento`: ricerca da data a data
- `User`: ricerca in base all'utente che ha caricato il documento
- `Titolo documento`
- `Progetto`

I filtri in testa alla tabella sono utilizzabili attraverso il pulsante <code>:material-filter-outline: Filtri</code> ed identificano attributi globali del soggetto.
#### Ricerche globali
Sono presenti i seguenti filtri globali:

- `TAGs documento`: ricerca secondo le parole chiave - *tag* - assegnate al documento. 

Per approfondire l'utilizzo dei filtri visitare la [sezione dedicata](assiomi.md#filtri-nelle-liste-dati-per-ricerche).

## Azioni
Le **Azioni** disponibili sono:  

| Pulsante | Azione | Dove si trova? |
| :------- | :----- | :---- |
| :octicons-plus-16: Aggiungi | Aggiunge un nuovo documento | Barra dei [comandi](dashboard.md#area-superiore-della-pagina) |
| :octicons-pencil-16: Modifica | Visualizza / Modifica il documento | Lista voci |
| :octicons-trash-16: Elimina | Cancella il documento | Lista voci e dettaglio documento |
| Configura le colonne | Visualizza o nasconde le colonne in tabella | Fondo della lista record |

### Inserimento
Inserire un documento cliccando sul pulsante **Aggiungi**.   

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- |
| `Titolo documento` | :material-check: | Informativo |  |
| `Data documento` | :material-check: | Informativo |  |
| `Tags documento` | | Informativo | Indica le parole chiave, tags [^1], che possono identificare il documento |
| `Progetto` | | Informativo | Indica il progetto a cui è associato il documento |
| `Note sul documento` | | Informativo | |
| `File associati al documento` | | Informativo | Permette di caricare il documento effettivo che deve essere archiviato |

### Visualizzazione e Modifica
Visualizzare od accedere alla modifica del documento attraverso il pulsante :octicons-pencil-16: Modifica, presente nella lista delle voci o cliccando sul `Titolo documento` che si desidera visualizzare o modificare.

### Cancellazione 
La cancellazione del documento può avvenire dal pulsante **<code>:material-dots-vertical:</code> Azioni** nella lista delle voci e dalla scheda del soggetto con il pulsante :octicons-trash-16: Elimina. 
Cancellando il documento, per ovvia conseguenza, vengono rimossi i *files* che sono stati caricati.


[^1]: definizione di [Tag](https://it.wikipedia.org/wiki/Tag_(metadato)) su Wikipedia


