---
tags:
  - Dati di base
  - Personalizzazioni
hide:
  - tags
---

# Impostazioni di sistema
La funzione permette di configurare i parametri di funzionamento di TheTree.  
Questi i parametri presenti divisi per *categoria*:

## Parametri generali

| Chiave | Descrizione | Default | Obbligatorio | Presente in documenti |
| :----------- | :--------- | :--------- | :---------: | :---------: |
| `Logo associazione` | Logo associazione | | :material-check: | :material-check: |
| `Nominativo del presidente` | Nominativo del presidente dell'associazione | | :material-check: | :material-check: |
| `Firma del presidente` | File immagine con la firma del presidente dell'associazione | | | :material-check: [^2] |
| `Righe nelle liste dati` | Numero di righe visualizzate nelle liste dei contenuti | 50 |
| `MiB non completi`| Numero massimo di [richieste di pagamento](richiestapagamento.md) non complete[^1] | 4 |
| `Somma limite contributi pubblici...` | Importo oltre il quale devono essere generati dei moduli per le comunicazioni di legge[^3] | 10.000 EUR| :material-check: |
| `Testo in calce alle ricevute` |Testo libero da inserire in calce nelle ricevute | | | :material-check: [^2] |
| `Immagine in calce alle ricevute` |Immagine da inserire in calce nelle ricevute | | | :material-check: [^2] |


- `Logo associazione`: viene utilizzato nella modulistica. E' obbligatorio per la generazione delle ricevute.
- `Nominativo del presidente`: viene utilizzato nella modulistica. E' obbligatorio per la generazione delle ricevute.
- `Firma del presidente`: se presente, viene utilizzato nella modulistica.
- `Righe nelle liste dati`: il numero minimo è 10.
- `MiB non completi`: inserire `0` per non limitare l'inserimento di MiB. Questo parametro **è valido** per tutti i [ruoli](ruoli.md) diversi da *Manager*
- `Somma limite contributi pubblici...`: inserire `0` per non considerare il parametro.

## Parametri organizzazione

| Chiave | Descrizione | Obbligatorio | Presente in documenti |
| :----------- | :--------- | :---------: | :---------: |
| Denominazione associazione | indica la ragione sociale dell'organizzazione | :material-check: | :material-check: |
| Indirizzo sede legale | Indirizzo con via e numero civico | :material-check: | :material-check: |
| CAP sede legale | Codice avviamento postale | :material-check: | :material-check: |
| Città sede legale |  | :material-check: | :material-check: |
| Provincia sede legale |  | :material-check: | :material-check: |
| Stato sede legale |  | :material-check: |  |
| Indirizzo sede operativa | Indirizzo con via e numero civico |  |  |
| CAP sede operativa | Codice avviamento postale |  |  |
| Città sede operativa |  |  |  |
| Provincia sede operativa |  |  |  |
| Stato sede operativa |  |  |  |
| Recapito telefonico (1) |  |  |  |
| Recapito telefonico (2) |  |  |  |
| Codice fiscale | Numero univoco di identificazione fiscale dell'organizzazione |  | :material-check: [^2] |
| Codice fattura elettronica |  |  |  |
| Codice IBAN C/C bancario | Numero IBAN |  | :material-check: [^2] |
| Sito internet associazione | Indirizzo web del sito internet |  | :material-check: [^2] |



[^1]: Al superamento di questo numero di richieste di pagamento non complete il Capo Progetto non poträ più inserire ulteriori richieste di pagamento
[^2]: Se presente
[^3]: Per le ONG italiane: la legge n. 124 del 4 agosto 2017, in particolare i commi da 125 a 129, modificata nella formulazione attuale dal decreto legge 30 aprile 2019, n. 34 (“Decreto Crescita”), ha disposto in modo permanente alcuni obblighi di trasparenza riguardanti i contributi pubblici ricevuti (anche) dagli enti non profit (omissis) per importi superiori ai 10.000 EUR