# Benvenuti
Benvenuti nella guida utente di TheTree, una web app per la gestione di ETS, APS od Organizzazioni Umanitarie.

## Premessa
TheTree nasce come applicazione per la gestione dei progetti del terzo settore, dei loro flussi economici, e delle interazioni tra i soggetti coinvolti nella loro implementazione.  
TheTree gestisce le donazioni in entrata, i soggetti che hanno donato e la destinazione dei fondi ricevuti verso i progetti gestiti permettendo di avere una *fotografia* in tempo reale della situazione di progetto e dell'utilizzo dei fondi in entrata ed uscita.

``` mermaid
graph LR
  A[Associazione]
  A --> B
  B[Donatore] --> C[Donazione];
  C -->|destinazione| D[Progetto];
  D -->|budget| E[Attività];
  E --> F[Aggiornamenti];
  E --> G[Invio documenti];
  F --> B
  G --> B
  H[Contabilità]
  D --> H --> A
```

TheTree, inoltre, gestisce le attribuzioni dei fondi (trasferimenti / richieste) verso i progetti o tra gli stessi, generando la documentazione contabile richiesta, tenendo comunque traccia dei flussi e dei soggetti che hanno richiesto e/o autorizzato gli stessi.  

Vengono inoltre generati i documenti che permettono ad un soggetto esterno (contabile) di redigere il bilancio d'esercizio od un report ciclico a beneficio ed uso dei gestori dell'entità utilizzatrice.

## Un applicativo creato su misura
TheTree è una web application nata per venire incontro alle esigenze dell'[Organizzazione Umanitaria Bambini nel Deserto](https://www.bambinineldeserto.org) nella gestione dei loro progetti.  
E' stata realizzata *su misura* partendo dalle loro necessità quotidiane e via via le funzionalità sono aumentate, arrivando a coprire gran parte delle necessità di qualsiasi ETS, APS e Organizzazione Umanitaria di qualsiasi dimensione riducendo in modo significativo il tempo di lavoro per le figure coinvolte.  
Naturalmente, ogni entità che utilizza TheTree, può richiedere delle personalizzazioni o delle nuove funzionalità.  
Se queste funzionalità non dovessero essere rilasciate per tutte le entità utilizzatrici, nella documentazione troverete questa dicitura:

!!! note ""

    Funzione realizzata *ad hoc*. Richiederne la disponibilità allo sviluppatore.

## Ringraziamenti
TheTree non esisterebbe senza il paziente supporto delle persone che la stanno utilizzando e la loro dedizione nell'introdurmi al mondo del *terzo settore* e delle sue dinamiche di gestione.  

Spero di aver creato uno strumento, in *continua e costante evoluzione*, che aiuti le persone a dedicare una parte sempre maggiore del loro prezioso tempo allo sviluppo di progetti per i più bisognosi, agevolando le loro incombenze di gestione quotidiana.  
  
Un sentito grazie a **Luca**, **Carolina**, **Sabrina** e **Floriana** di Bambini nel Deserto e a tutte le persone che vorranno aiutarci a far crescere TheTree e, naturalmente al caro amico, sempre nei miei pensieri, *Davide Redavid* per avermi fatto conoscere questa meravigliosa realtà.  

*Gioacchino*