---
tags:
  - Soci
  - Quota annuale
  - Donatori
  - Condivisione dati
  - Volontari
  - Obblighi normativi
hide:
  - tags
---

# Libro soci

La funzione permette agli utenti con ruolo di `Manager` di gestire il *libro soci*, inteso come elenco di controllo per verificare se i soci dell'Associazione siano in regola con le quote associative annuali.

## Gestione libro soci
La schermata principale visualizza i [soggetti](soggetti.md) che hanno un [ruolo in associazione](ruoli-bnd.md) che possono versare [quote associative](ruoli-bnd.md#quote-associative-annuali) annuali.  

{==

Per visualizzare dei soggetti nella lista è importante aver aggiornato la risorsa [Ruoli in associazione](ruoli-bnd.md) indicando quali ruoli associativi (es. Socio, Volontario, etc.) possono versare delle quote associative annuali.

==}

### Ordinamento della lista
La lista è ordinabile per il campo `Nominativo / Ragione sociale` cliccando direttamente sull'intestazione di colonna.

### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Nominativo / Ragione sociale`

I filtri in testa alla tabella sono utilizzabili attraverso il pulsante <code>:material-filter-outline: Filtri</code> ed identificano attributi globali dei soggetti presenti nel libro soci.

#### Ricerche globali
Sono presenti i seguenti filtri globali:

- `In regola con la quota?`: visualizza i soggetti che sono o meno in regola con la quota annuale (riferita all'anno attuale)
- `Ruoli con quote annuali`: filtra i soggetti in base al loro ruolo che può versare [quote associative](ruoli-bnd.md#quote-associative-annuali) annuali

Per approfondire l'utilizzo dei filtri visitare la [sezione dedicata](assiomi.md#filtri-nelle-liste-dati-per-ricerche).

## Focus

### Ultima donazione (anno)
Il campo `Ultima donazione (anno)` nella lista dei soggetti indica l'anno di ultima donazione, per cui è possibile che vi siano dei soggetti non in regola con la quota dell'anno in corso anche se l'anno visualizzato è quello attuale.  
Questo si verica perché la validità delle quote versate viene confermata se il soggetto ha almeno una donazione etichettata come `E' una quota socio` oppure `E' una quota volontario`.
Per verificare la posizione del soggetto è sufficiente cliccare sulle [donazioni del soggetto](#donazioni-del-soggetto).

## Azioni
Le **Azioni** disponibili sono:  

| Pulsante | Azione | Dove si trova? |
| :------- | :----- | :---- |
| :fontawesome-regular-file: Importa / Esporta | Esporta il libro soci | Barra dei [comandi](dashboard.md#area-superiore-della-pagina) |
| Nominativo del soggetto | Apre la scheda del soggetto | Lista voci |
| Importo e numero donazioni | Apre la lista delle donazioni del soggetto | Lista voci |

### Esporta libro soci

L'esportazione, come per le altre funzioni, viene eseguita considerando il filtri impostati, per questo, è possibile esportare diverse tipologie di elenco a seconda dei filtri impostati.

| Ho bisogno di | Filtri da impostare rispettivamente in In regola con la quota e Ruoli con quote annuali |
| :------- | :----- |
| Avere la lista dei `soci` indipendentemente dal fatto che abbiano o meno pagato la quota annuale | Nessun filtro |
| Avere la lista dei `soci`che sono in regola con la quota annuale | `Quota annuale versata` e `Socio` |
| Avere la lista dei `volontari`che sono in regola con la quota annuale | `Quota annuale versata` e `Volontario` |
| Avere la lista dei `soci`che **non** sono in regola con la quota annuale | `Quota annuale non versata` e `Socio` |
| Avere la lista dei `volontari`che **non** sono in regola con la quota annuale | `Quota annuale non versata` e `Volontario` |
| Avere la lista dei `soggetti`che sono in regola con la quota annuale | `Quota annuale versata` e Nessun filtro |
| Avere la lista dei `soggetti`che **non** sono in regola con la quota annuale | `Quota annuale non versata` e Nessun filtro |

Come si può intuire, i filtri permettono di avere un export per un insieme di dati variabile a seconda di come vengono impostati. 

### Nominativo del soggetto

Cliccando sul nominativo del soggetto in lista si verrà portati alla sua [scheda](soggetti.md) per poter apportare delle correzioni se necessarie.

#### Appartenenza al Consiglio Direttivo del soggetto
L'esportazione prevede una colonna in cui indicare se il soggetto fa parte del Consiglio direttivo dell'associazione.  
Viene indicata l'appartenenza dei soggetti che hanno la caratteristica indicata nella loro [scheda](soggetti.md) attraverso il flag `Fa parte del Consiglio Direttivo`.

### Donazioni del soggetto

Cliccando in corrispondenza del campo `importo / numero donazioni` nella lista dei soggetti è possibile visualizzare le donazioni del soggetto, per verificare se la quota annuale è stata versata e registrata correttamente.


