---
tags:
  - Personalizzazioni
  - Dati di base
  - Guida
  - Discord
hide:
  - tags
---

# Primi passi

Questa pagina contiene le operazioni propedeutiche all'utilizzo di TheTree ed ha l'obbiettivo di introdurre il work-flow operativo dell'applicazione per agevolare i primi utilizzi del sistema.

## Dati necessari al primo utilizzo
Potete accedere a TheTree con l'utenza che vi è stata assegnata in fase di abilitazione.  
Questa utenza avrà il [ruolo](ruoli.md) di <code>Manager</code> e potrà gestire in toto le funzioni di TheTree.  
E' necessario eseguire i seguenti step di configurazione per poter utilizzare TheTree:

### Utilizzatori
Dovrete redigere una lista degli utilizzatori di TheTree che dovranno ricoprire i seguenti ruoli: `Manager`, `Capo progetto`, `Collaboratore di progetto` al fine di poterli censire attraverso la funzione [utenti](utenti.md) e potergli fornire un accesso al sistema;

### Ruoli all'interno dell'associazione
Così come per gli utilizzatori, dovrete redigere una lista dei ruoli che i [soggetti](soggetti.md) avranno all'interno della vostra organizzazione.  
TheTree ^^viene fornito con una lista pre inserita^^, ma è bene che verifichiate se questi ruoli sono adeguati alla vostra struttura.  
I ruoli in assodciazione vanno inseriti attraverso la funzione [Ruoli in Associazione](ruoli-bnd.md).  

!!! note ""

    Una volta inseriti, **è necessario un intervento dello sviluppatore** per adeguare i file di configurazione di TheTree.


### Voci di costo base
Dovete redigere una lista delle `Voci di costo base` per un Budget di progetto.  
TheTree ^^viene fornito con una lista pre inserita^^, ma è bene che verifichiate se tutte le voci di budget sono contestualizzabili nella vosta struttura e/o al vostro piano dei conti.  
I costi base vanno inseriti attraverso la funzione [Budget, costi base](costi-base.md).

### Codici di bilancio
Oltre alle voci di costo base di un budget, dovrete prevedere una lista dei `Codici di bilancio` che verranno utilizzate per gestire le assegnazione delle entrate e delle uscite al fine della compilazione di un bilancio di esercizio.
TheTree ^^viene fornito con una lista pre inserita^^, ma è bene che verifichiate se tutti i codici di bilancio sono contestualizzabili nella vosta struttura.  
I codici di bilancio vanno inseriti attraverso la funzione [Codici bilancio](codici-bilancio.md).  

!!! note ""

    Una volta inseriti, **è necessario un intervento dello sviluppatore** per adeguare i file di configurazione di TheTree.


### Metodi di donazione
Dovreste stabilire quali saranno i vostri metodi di donazione, necessari per associarvi una [donazione](donazioni.md).  
TheTree ^^viene fornito con una lista pre inserita^^, ma è bene che verifichiate se tutti i metodi di donazione sono sufficienti e/o verranno utilizzati dalla vosta struttura.  
I metodi di donazione vanno inseriti attraverso la funzione [Metodi di donazione](metodi-donazione.md).

### Programmi
Vanno verificati anche i *programmi*, necessari per contestualizzare i vostri [progetti](progetti.md).  
TheTree ^^viene fornito con una lista pre inserita^^, ma è bene che verifichiate se tutti i programmi sono sufficienti e/o verranno utilizzati dalla vosta struttura.  
I programmi vanno inseriti attraverso la funzione [Programmi](programmi.md).

### Progetto per destinazione quota donazioni 
Se la vostra struttura prevede di *trattenere* una percentuale delle donazioni ricevute per le necessità associative è necessario inserire almeno un [progetto](progetti.md) con destinazione **interna** che verrà utilizzato a tale scopo (ad esempio *ISTITUZIONALI*).  
Utilizzare la funzione [progetti](progetti.md) a tale scopo.


!!! note ""

    Una volta inseriti, **è necessario un intervento dello sviluppatore** per adeguare i file di configurazione di TheTree.

### Valute utilizzate
TheTree, in alcune funzioni, gestisce la visualizzazione di un cambio valuta, per permetterci di avere una visione immediata delle uscite richieste in valute diverse dall'EUR.

!!! note ""

    **E' necessario un intervento dello sviluppatore** per adeguare i file di configurazione di TheTree con le valute desiderate.

### Modelli di ricevuta / fattura
Durante la fase di configurazione del sistema è necessario predisporre il contenuto dei modelli di ricevuta e/o fattura che TheTree può emettere automaticamente alla registrazione di una donazione. 


!!! note ""

    **E' necessario un intervento dello sviluppatore** per modificare i template della modulistica.


## Strumenti di aiuto

TheTree viene fornito con la possibilità di accedere a diversi strumenti di *aiuto* per risolvere problematiche di utilizzo e/o gestione:

### La presente guida online

La presente guida costituisce il primo strumento di supporto per all'utilizzo di TheTree.  
Vi invitiamo ad usare la form di richiesta in alto a destra od a consultare l'[indice degli argomenti](tags.md).  

<center>[Inizia ad usare la guida](introduction.md){ .md-button .md-button--primary }</center>

### Discord
Discord è un'applicazione di comunicazione ricca di funzionalità disponibile su vari sistemi.  
Milioni di giocatori usano Discord ogni giorno per ritrovarsi online, condividere contenuti e giocare insieme. Per questo Discord è divenuta popolare anche tra le applicazioni perché si possono creare dei *gruppi* e condividere richieste, suggerimenti e quant'altro risulta utile al progetto.

Per questo abbiamo creato un gruppo di supporto su :fontawesome-brands-discord: Discord[^1].


<center>[Accedi al gruppo di supporto su Discord](https://discord.gg/RYMXqdBZ){ .md-button .md-button--primary }</center>



[^1]: E' necessario creare un proprio utente su Discord prima di accedere al gruppo.