---
tags:
  - Privacy
  - Dati trattati
hide:
  - tags
---

# Privacy policy

<code>Versione 1.0.2, Settembre 2023</code>

Ai sensi dell’art. 13 del regolamento (UE) N. 679/2016 (“GDPR”), Associazione Bambini nel Deserto ETS (il “Titolare”, “Organizzazione”), informa che i Dati personali forniti (“Dati”) saranno trattati nel rispetto di quanto previsto dalla norma e in conformità all’informativa che segue. La presente informativa, nello specifico, viene fornita in merito al trattamento dei Dati personali raccolti attraverso il sito [TheTree](https://www.thetree.site) a seguito dell'utilizzo della presente [documentazione](https://thetree.site/documentazione/).

## 01. Finalità e base giuridica del trattamento

I Dati saranno trattati per l'analisi dell'utilizzo del presente sito da parte del Titolare, allo scopo di personalizzare e migliorare questa documentazione, tenendo conto delle specifiche ricerche effettuate dall’utente.

Il trattamento dei Dati per tale finalità richiede il consenso dell’utente ai sensi dell’art. 6, c. 1, lett. a) del GDPR.

## 02. Categorie di Dati trattati

Il Titolare tratterà i termini derivanti dalle ricerche dell’utente (quali ad esempio parole, frasi, domande), desunti attraverso l'apposita form di ricerca presente in questo sito (in alto a destra).

## 03. Sicurezza dei “Dati”

Per proteggere i Dati il Titolare adotta le misure previste dalle normative sulla protezione dei Dati, atte a prevenire abusi da parte di entità terze non autorizzate.

## 04. Conferimento dei Dati e conseguenze in caso di mancato conferimento

Il conferimento dei Dati è facoltativo e il loro mancato conferimento comporterà l’impossibilità per il Titolare di svolgere le attività funzionali a raggiungere le finalità in questione.

## 05. Titolare del trattamento e Responsabili del trattamento

Il titolare del trattamento dei Dati personali è l'Organizzazione Umanitaria Bambini nel Deserto Onlus, con sede legale in Via Casoli 45, 41123 Modena (MO), Italia, e-mail [sede@bambinineldeserto.org](mailto: sede@bambinineldeserto.org).

L’elenco aggiornato degli eventuali responsabili del trattamento è disponibile presso la sede del Titolare.

## 06. Destinatari o categorie di destinatari

I Dati potranno essere resi accessibili, portati a conoscenza di o comunicati ai seguenti soggetti, i quali saranno nominati dal Titolare, a seconda dei casi, quali responsabili o persone autorizzate al trattamento, oppure agiranno quali titolari autonomi:

- società od organizzazioni del gruppo di cui fa parte il Titolare (controllanti, controllate, collegate), dipendenti e/o collaboratori a qualsivoglia titolo dell'Organizzazione e/o di società od organizzazioni del gruppo di cui fa parte l'Organizzazione;
- soggetti privati, persone fisiche o giuridiche, di cui l'Organizzazione si avvalga per lo svolgimento delle attività strumentali al raggiungimento della finalità di cui sopra o a cui l'Organizzazione' sia tenuta a comunicare i Dati, in forza di obblighi legali o contrattuali.  

In ogni caso, i Dati non saranno diffusi.

## 07. Periodo di conservazione

I Dati saranno conservati per un periodo di tempo massimo pari a 24 mesi.

## 08. Trasferimento dei Dati a paesi terzi

I Dati circoleranno nell’ambito di paesi appartenenti all’UE. Inoltre, l'Organizzazione potrà trasferire i Dati verso eventuali società e/o organizzazioni controllate, conformemente all’art. 45 del GDPR (decisione di adeguatezza). Qualora si dovesse verificare questa fattispecie, il presente articolo sarà aggiornato con gli indirizzi delle sedi legali delle società e/o organizzazioni controllate.

## 09. Diritti dell’interessato. Diritti di accesso, cancellazione, limitazione e portabilità

Agli interessati sono riconosciuti i diritti di cui agli art. da 15 a 20 del GDPR. A titolo esemplificativo, ciascun interessato potrà:

- ottenere la conferma che sia o meno in corso un trattamento di Dati personali che lo riguardano;
- qualora un trattamento sia in corso, ottenere l’accesso ai Dati personali e alle informazioni relative al trattamento nonché richiedere una copia dei Dati personali;
- ottenere la rettifica dei Dati personali inesatti e l’integrazione dei Dati personali incompleti;
- ottenere, qualora sussista una delle condizioni previste dall’art. 17 del GDPR, la cancellazione dei Dati personali che lo riguardano;
- ottenere, nei casi previsti dall’art. 18 del GDPR, la limitazione del trattamento;
- qualora sussistano le condizioni previste dall’art. 20 del GDPR, ricevere i Dati personali che lo riguardano in un formato strutturato, di uso comune e leggibile da dispositivo automatico e richiedere la loro trasmissione ad un altro titolare, se tecnicamente fattibile.

## 10. Diritto di opposizione al trattamento effettuato per legittimo interesse

Ciascun interessato ha il diritto di opporsi in qualsiasi momento al trattamento dei suoi Dati personali effettuato per il perseguimento di un legittimo interesse dell'Organizzazione. In caso di opposizione, i suoi Dati personali non saranno più oggetto di trattamento, sempre che non sussistano motivi legittimi per procedere al trattamento che prevalgono sugli interessi, sui diritti e sulle libertà dell’interessato oppure per l’accertamento, l’esercizio o la difesa di un diritto in sede giudiziaria.

## 11. Diritto di opposizione per finalità di marketing

I dati vengono trattati esclusivamente per il raggiungimento delle finalità di cui sopra, tuttavia, ciascun interessato ha il diritto di opporsi in qualsiasi momento al trattamento dei suoi Dati personali effettuato per finalità di marketing, scrivendo un’e-mail all’indirizzo [sede@bambinineldeserto.org](mailto: sede@bambinineldeserto.org).  
L’opposizione al trattamento esercitata attraverso tali modalità si estende anche all’invio di comunicazioni commerciali a mezzo del servizio postale o di chiamate telefoniche con operatore, fatta salva la possibilità di esercitare tale diritto in parte, opponendosi ad esempio al solo trattamento effettuato mediante sistemi automatizzati di comunicazione.

## 12. Diritto di revoca del consenso

Nel caso in cui sia richiesto il consenso per il trattamento dei Dati personali, ciascun interessato potrà, altresì, revocare in qualsiasi momento il consenso già prestato, senza pregiudicare la liceità del trattamento basata sul consenso prestato prima della revoca. Il consenso può essere revocato cliccando sul link <code>Privacy policy</code> presente in fondo a questa pagina, dopo i dati di Copyright.

## 13. Diritto di proporre reclamo al Garante

Inoltre ciascun interessato potrà proporre reclamo al Garante per la Protezione dei Dati Personali nel caso in cui ritenga che siano stati violati i diritti di cui è titolare ai sensi del GDPR, secondo le modalità indicate sul sito internet del Garante accessibile all’indirizzo: [www.garanteprivacy.it](https://www.garanteprivacy.it).

## 14. Diritti dell'interessato

I diritti dell’interessato potranno essere esercitati tramite i recapiti di riferimento dell'Organizzazione sopra indicati.

## 15. Cookie policy

### Cosa sono i cookie

Un cookie è un file testuale che viene memorizzato su computer, tablet, smartphone e su qualunque dispositivo utilizzato per navigare in Internet, in grado di memorizzare le informazioni di navigazione dell’utente. Alcuni cookies sono utilizzati per rendere la navigazione più facile, e per personalizzare l’esperienza sul nostro sito web, consentendo il riconoscimento degli utenti all’arrivo sulle nostre pagine.

La finalità dell’utilizzo dei cookie è di personalizzazione  dell’accesso al sito web, ottimizzando la navigazione ed il funzionamento del sito, per il miglioramento dei nostri servizi.

### Quali cookie utilizziamo

Per i nostri siti web utilizziamo cookie tecnici proprietari.

Questi cookie sono fondamentali per il corretto funzionamento dei nostri siti web e per migliorare l’esperienza di navigazione nel sito.

Essi non vengono utilizzati per scopi ulteriori e sono normalmente installati dal titolare o gestore del sito web in modo diretto. Si dividono in cookie di navigazione o di sessione e garantiscono la normale navigazione e fruizione del sito web (permettendo, ad esempio, di realizzare un acquisto o autenticarsi per accedere ad aree riservate).

Per l’installazione di tali cookie non è richiesto il preventivo consenso degli utenti, ai sensi della direttiva 2009/136/CE, recepita dal D.Lgs. 28 maggio 2012 n. 69, e del provvedimento del Garante per la protezione dei Dati personali relativo all’“Individuazione delle modalità semplificate per l’informativa e l’acquisizione del consenso per l’uso dei cookies” dell’8 maggio 2014, pubblicato sulla Gazzetta Ufficiale n. 126 del 3 giugno 2014, essendo i cookies tecnici fondamentali per il corretto funzionamento di un sito web possono essere utilizzati anche senza il preventivo consenso dell’utente, fermo restando l’obbligo di informativa.

### Conservazione e cancellazione dei cookie

La durata dei cookies è varia a seconda della loro tipologia: i cookie di sessione scadono alla chiusura del browser; i cookie persistenti hanno date di scadenza tipiche che, in generale, non superano i 2 anni.

L’utente può rifiutare l’utilizzo di alcuni cookie utilizzati da questo sito web selezionando, sul proprio browser, le impostazioni che consentono di rifiutarli. Ciascun browser (es. Chrome, Firefox, Safari, etc.) ha specifiche procedure da seguire per disabilitare i cookie, che possono essere trovate sul sito internet del fornitore del browser.

## 16. Modifiche alle informative privacy e cookie

l'Organizzazione si riserva la facoltà di apportare delle modifiche alla presente privacy e cookie policy.   
L’utente accetta di essere vincolato a tali eventuali e future revisioni e si impegna, pertanto, a visitare periodicamente questa pagina per essere informato su eventuali variazioni.

