---
tags:
  - Progetti
  - Uscite
hide:
  - tags
---

# Richiesta pagamento

La funzione permette agli utenti con ruolo di `Capo progetto` di richiedere l'invio di fondi per la gestione dei propri progetti.

## Workflow
``` mermaid
graph LR
  A[Inserimento richiesta] --> B{Vi sono errori?};
  B -->|No| C{Fattura proforma?};
  B -->|Si| D{Da reinserire?}
  C -->|Si| E{Approvata?};
  C -->|No| H[Attesa proforma]
  E -->|Si| F[Contabilizzazione] 
  D -->|Si| A
  G[Fine]
  D -->|No| G
  F --> G
  H --> I{Proforma esigibile?}
  I -->|Si| C
  I -->|No| G
```

## Gestione richieste di pagamento
La schermata principale visualizza le richieste presenti a sistema e permette di gestire il loro inserimento, la visualizzazione, la cancellazione e l'approvazione o meno di una richiesta.

### Statistiche cumulative
In testa alla lista delle richieste, per gli utenti con ruolo `Manager`, vengono visualizzati dei box a titolo di statistica che comprendono:

- `Incomplete`: numero delle richieste che sono state **approvate**, ma non hanno allegato alla scrittura contabile almeno un documento bancario che provi il pagamento ed almeno una fattura o ricevuta del fornitore che è stato pagato
- `Chiuse`: numero delle richieste [chiuse](#chiusura) 
- `Importo approvato`: somma degli importi per le richieste approvate (per le richieste in valute diverse dall'EUR vengono considerati gli importi convertiti in EUR)
### Ordinamento della lista
La lista è ordinabile per il campo `Data richiesta` cliccando direttamente sull'intestazione di colonna.
### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Data richiesta`
- `Richiesta da`: utente che ha richiesto il pagamento
- `Stato`: stati della richiesta [:material-arrow-right:](#stati-di-una-richiesta)
- `Data approvazione`
- `Approvata da`: utente che ha approvato il pagamento
- `Progetto`
- `Importo richiesto`: importo richiesto in valuta del luogo
- `Importo al cambio`: somma convertita in EUR al momento dell'inserimento della richiesta di pagamento

I filtri in testa alla tabella sono utilizzabili attraverso il pulsante <code>:material-filter-outline: Filtri</code> ed identificano attributi globali del soggetto.
#### Ricerche globali
Sono presenti i seguenti filtri globali:

- `Ha tutti i documenti?`: visualizza le richieste che hanno almeno una *fattura* ed un *documento bancario* caricati (quindi possono essere [chiuse](#chiusura))[^6]
- `Stato richiesta`: filtra le richiesta in base al loro [stato](#stati-di-una-richiesta)


Per approfondire l'utilizzo dei filtri visitare la [sezione dedicata](assiomi.md#filtri-nelle-liste-dati-per-ricerche).

### Visualizzazione dei campi
Qualora non tutti i campi fossero presenti in lista o si avesse bisogno di personalizzare la visualizzazione cliccare su **Configura le colonne** in fondo pagina a sinistra.

### Iconografia nella lista
La lista delle richieste presenta una colonna `Completa`, che visualizza lo stato della richiesta di pagamento attraverso delle icone.

| Icona | Colore | Significato |
| :------- | :----- | :---- | 
| :octicons-check-16:{ .green } | Verde | La richiesta è Approvata o Chiusa ed ha tutti i documenti necessari (fatture e giustificativi di pagamento), quindi è da ritenersi `Completa` |
| :octicons-circle-16:{ .red } | Rosso | La richiesta non ha ancora tutti i documenti richiesti (fatture o giustificativi di pagamento), quindi è da ritenersi `Incompleta` |
| :octicons-circle-slash-16: | Nero | La richiesta non ha ancora una fattura proforma caricata e quindi non può essere approvata |


#### Azioni
Le **Azioni** disponibili sono:


| Pulsante | Azione | Dove si trova? | Dettaglio |
| :------- | :----- | :---- | :---- |
| :octicons-plus-circle-16: Aggiungi | Aggiungi nuova richiesta | In alto a destra | [Inserimento](#inserimento)
| `Data richiesta` | Visualizza il dettaglio della richiesta | Lista richieste | [Visualizzazione](#visualizzazione) |
| :octicons-eye-16: Vedi | Visualizza il dettaglio della richiesta | Menù Azioni :material-dots-vertical: | [Visualizzazione](#visualizzazione) |
| :octicons-trash-16: Cancella | Cancella la voce | Menù Azioni :material-dots-vertical: e Dettaglio richiesta | [Cancellazione](#cancellazione) |
| :material-file-remove-outline: Cancella proforma | Cancella la fattura proforma associata alla richiesta | Dettaglio richiesta | [Cancellazione fattura proforma](#cancellare-la-fattura-proforma) |
| :material-book-open-variant: Voce di costo | Scrittura contabile di riferimento | Menù Azioni :material-dots-vertical: e Dettaglio richiesta| [Approvazione](#approvazione) |
| :octicons-check-circle-16: Approva | Approva la richiesta | Menù Azioni :material-dots-vertical: | [Approvazione](#approvazione) |
| :fontawesome-solid-file-arrow-down: Genera proforma | Genera una fattura proforma e la scarica sul dispositivo | Menù Azioni :material-dots-vertical: | [Approvazione](#approvazione) |
| :fontawesome-solid-file-arrow-up: Carica proforma | Permette di caricare la fattura proforma firmata dal mittente | Menù Azioni :material-dots-vertical: | [Approvazione](#approvazione) |
| :octicons-x-circle-16: Revoca | Revoca la richiesta | Menù Azioni :material-dots-vertical: | [Revoca](#revoca) |
| :octicons-x-circle-16: Revoca selezionate | Revoca le richieste selezionate | In alto a destra | [Revoca](#revoca) |
| :material-folder-outline: Chiudi | Chiude la richiesta | Menù Azioni :material-dots-vertical: | [Chiusura](#chiusura) |
| :material-folder-outline: Chiudi selezionate | Chiude le richieste selezionate | In alto a destra | [Chiusura](#chiusura) |
| Configura le colonne | Visualizza o nasconde le colonne in tabella | Fondo della lista record |



## Inserimento
Inserire una richiesta cliccando sul pulsante **Aggiungi**.  
La schermata di inserimento è articolata su più step: la scelta del progetto a cui la richiesta fa riferimento e l'inserimento dei dati per la richiesta.
### Scelta progetto
Scegliere il progetto dalla lista a tendina.  

{==

Vengono proposti solo i progetti dove l'utente ha il ruolo di **Capo progetto** e che hanno un [budget](progetti.md#budget) presente.

==}

Dopo aver scelto il progetto si passa alla compilazione della form di richiesta.
### Compilazione richiesta
La form di richiesta prevede i seguenti campi:

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- |
| `Destinazione costo` | :material-check: | Voce di budget | Scegliere una voce di budget del progetto |
| `Somma prevista da budget per questa destinazione di costo` | | Informativo | Visualizza la somma prevista dal budget |
| `Somma ancora disponibile per il progetto` | | Informativo | Visualizza le somme ancora disponibili per il progetto |
| `Beneficiario` | :material-check: | Soggetti con ruolo *Servizi* | Scegliere un beneficiario dalla lista a tendina |
| `Importo richiesto` | :material-check: | | Inserire l'importo richiesto[^1]|
| `Valuta` | :material-check: | | Scegliere la valuta riferita all'importo[^2]|
| `Note` | | | Inserire eventuali note per la richiesta |

{==

**Attenzione**: TheTree effettua dei calcoli e/o crea delle associazioni in fase di inserimento. Per questo è importante inserire in campi esattamente nella sequenza in cui sono riportati.  
Nel caso in cui si debba cambiare un campo dalle liste a discesa, dovranno essere *reimputati* dei valori in maschera che sono soggetti a controlli.

==}

Salvare la richiesta cliccando sul pulsante **Salva** in alto a sinistra o a fondo pagina.  
A seguito dell'inserimento di una richiesta di pagamento TheTree invierà una notifica nella [dashboard](dashboard.md#notifiche-di-sistema) ed una mail agli utenti **Manager** del sistema per sottoporre la richiesta appena creata.  
La `Destinazione costo` in questo caso è **obbligatoria**, a differenza di quanto previsto in [Contabilità progetti](costi-progetto.md), dove una destinazione di costo può essere inserita anche successivamente.

### Fattura proforma
Una richiesta di pagamento, per poter essere approvata dal **Manager** deve avere *almeno* un documento contabile. [^7]   
Per questo, quando una richiesta di pagamento viene creata, nel menù Azioni :material-dots-vertical: nella lista delle richieste sono presenti altri due pulsanti: 

:fontawesome-solid-file-arrow-down: Genera proforma: il pulsante genera una fattura proforma con i dati del [soggetto](soggetti.md) destinatario del pagamento e la scarica nel computer dell'utente. La fattura proforma generata va firmata dall'utente (capo progetto) e dal destinatario del pagamento e caricata a sistema con il pulsante **Carica proforma**.   

:fontawesome-solid-file-arrow-up: Carica proforma: il pulsante permette di caricare a sistema la fattura proforma appena firmata dalle parti, per avviare la fase di [Approvazione](#approvazione).

{==

**Attenzione**: Se si è già in possesso di una fattura, non è necessario generare una fattura proforma, ma basta caricare la fattura con il pulsante :fontawesome-solid-file-arrow-up: Carica proforma.

==}

#### Dettagli sulla fattura proforma
La fattura proforma viene generata in automatico da TheTree con i dati della richiesta di pagamento.  
Riporta:  

- la data della richiesta di pagamento;
- il soggetto beneficiario;
- la somma in valuta locale ed il corrispettivo in EUR;
- il titolo del [progetto](progetti.md) e la descrizione della [voce di budget](progetti.md#budget) a cui fa riferimento;
- il testo `Note` inserito nella richiesta di pagamento;

La fattura proforma viene redatta in 3 lingue, italiano, francese ed inglese, al solo scopo di **agevolare** il soggetto beneficiario della richiesta di pagamento e poter avere una rendicontazione contabile corretta.

##### Perché non posso modificare la data della fattura proforma?
La data della fattura proforma generata in automatico è la stessa della richiesta di pagamento, perché abitualmente {==dovremmo già essere in possesso di una fattura o ricevuta per chiederne il pagamento==}, così da poterlo adeguatamente motivare nel progetto.

##### Perché la fattura proforma va firmata?
La fattura proforma va firmata dal soggetto beneficiario del pagamento e dal *Capo progetto* che ha inserito la richiesta di pagamento, sia per un duplice controllo che per evitare problematiche future (documento non veritiero, etc.)



## Visualizzazione
Per visualizzare una richiesta, cliccare sul pulsante **Vedi** nell'elenco a discesa delle **Azioni** presenti nell'ultima cella della lista, oppure sul campo **Richiesta** in corrispondenza della data.  
In questa schermata vengono visualizzati anche i campi `Importo al cambio` e `Valuta` che vengono generati automaticamente nel momento dell'inserimento della richiesta.[^3]

### Visualizzare la fattura proforma
La fattura proforma associata alla richiesta sarà presente in fondo alla schermata, se esistente.

## Modifica
Attualmente la modifica di una richiesta di pagamento non è stata prevista, per evitare problemi in fase di autorizzazione.  
Qualora la richiesta fosse stata inserita in modo errato, va cancellata e reinserita.

## Cancellazione
Per cancellare una richiesta, cliccare sul pulsante **Elimina** nell'elenco a discesa delle **Azioni** presenti nell'ultima cella della lista.  
Una richiesta può essere cancellata solo se non è già stata approvata.  
A seguito della cancellazione di una richiesta di pagamento TheTree invierà una notifica nella [dashboard](dashboard.md#notifiche-di-sistema) ed una mail al richiedente della stessa e saranno cancellate anche le fatture proforma associate alla richiesta.

### Cancellare la fattura proforma
Nella schermata di [visualizzazione](#visualizzazione) di una richiesta, se la fattura proforma associata è presente, si potrà rimuovere attraverso il pulsante **Cancella proforma**.

{==

**Attenzione**: Il sistema chiede una conferma perché il file verrà cancellato e non sarà più recuperabile.

==}

## Contabilizzazione
Il passaggio in contabilità di una richiesta avviene a seguito della sua [approvazione](#approvazione) o [revoca](#revoca).

## Funzioni amministrative
A livello amministrativo una richiesta di pagamento viene gestita a livello centralizzato e può variare di *stato* a seconda delle operazioni eseguite.  
### Stati di una richiesta
Una richiesta di pagamento può avere i seguenti *stati*:

| Azione dell'utente                          | Stato    | Azione a sistema | Proseguo                                     |
| :------------------------------------------ | :------- | :--------------- | :------------------------------------------- |
| Il **capo progetto** aggiunge una richiesta | Creata   | Richiesta creata | La richiesta è in attesa di avere un documento contabile e poi andrà in valutazione al **manager** |
| Il **capo progetto** cancella una richiesta perché errata | Cancellata | Richiesta cancellata | |
| Il pagamento viene inviato dalla segreteria | Approvata | Richiesta approvata e creazione del movimento contabile | Attesa dei documenti contabili mancanti da parte del **capo progetto** |
| La richiesta non è ammissibile | Revocata | Richiesta revocata e cancellazione dei movimenti contabili se presenti | | 
| La richiesta è terminata | Chiusa | Richiesta chiusa con tutti i documenti contabili necessari | |

``` mermaid
graph LR
  A[Creata] --> B{Corretta?};
  B -->|Si| I{Proforma?}
  I -->|Si| C[Approvata]
  I -->|No| B
  B -->|No| D[Cancellata]
  C --> E[Movimento contabile]
  E --> F{Ricevute inserite?}
  F -->|Si| G[Chiusa]
  F -->|No| H[Sollecito al Capo Progetto]
  H --> F
```

### Approvazione
Per approvare una richiesta, cliccare sul pulsante **Approva** o **Approva (proforma come definitiva)** nell'elenco a discesa delle **Azioni** presenti nell'ultima cella della lista.  
Approvando la richiesta di pagamento TheTree presenterà la schermata di modifica della scrittura contabile contenente la richiesta, dove si potranno modificare dei dati (ad esempio l'importo per delle differenze di cambio) od allegare la contabile o le ricevute del movimento contabile. 
A seguito dell'approvazione di una richiesta di pagamento TheTree invierà una notifica nella [dashboard](dashboard.md#notifiche-di-sistema) ed una mail al richiedente della stessa.

#### Perché sono presenti due pulsanti per approvare una richiesta?
La richiesta di pagamento si può approvare con due modalità:

- tramite il pulsante **Approva**: la richiesta viene approvata e la fattura o ricevuta allegata dal capo progetto (o proforma) viene mantenuta all'interno della richiesta di pagamento, e non trasferita al movimento contabile (costo di progetto);
- tramite il pulsante **Approva (proforma come definitiva)**: la richiesta viene approvata e la fattura o ricevuta allegata dal capo progetto (o proforma) viene copiata all'interno del movimento contabile (costo di progetto), considerando la fattura proforma come unico documento che si potrà avere come giustificativo di spesa per la richiesta di pagamento considerata.

#### Perché non posso approvare una richiesta?
Il pulsante **Approva** è presente solo se la richiesta ha almeno un documento contabile caricato (fattura o proforma).
  
#### Effetti in contabilizzazione
A seguito di un'approvazione di una richiesta di pagamento, TheTree crea automaticamente il movimento contabile, permettendone la modifica. Per questo, {==la richiesta va approvata nello stesso momento in cui vengono inviati i fondi per evitare una modifica successiva alla scrittura contabile==}.  
Unitamente alla creazione del movimento contabile, la fattura proforma associata alla richiesta di pagamento viene *spostata* nella sezione *fatture o ricevute* nel dettaglio del [movimento contabile](costi-progetto.md)[^7].   
Per accedere al movimento contabile premere il pulsante :material-book-open-variant: Contabilità nel Menù Azioni :material-dots-vertical: o nel Dettaglio della richiesta.  
Nella lista movimenti nel menù [Contabilità progetti](costi-progetto.md) se un movimento è legato ad una richiesta di pagamento, nel Menù Azioni :material-dots-vertical: sarà presente la voce :material-folder-file-outline: Richiesta pagamento che permette di visualizzare i dettagli della richiesta.


#### Reminder documentazione mancante
Nella versione attuale è previsto che ogni `Domenica, 00:00 ora GMT`[^4] TheTree controlli le richieste di pagamento Approvate che non hanno ancora documenti giustificativi (Ricevute) ed invii un reminder al richiedente della richiesta.

### Revoca
Per revocare una richiesta, cliccare sul pulsante **Revoca** nell'elenco a discesa delle **Azioni** presenti nell'ultima cella della lista.  
A seguito della revoca di una richiesta di pagamento TheTree invierà una notifica nella [dashboard](dashboard.md#notifiche-di-sistema) ed una mail al richiedente della stessa.  
#### Effetti in contabilizzazione
Attualmente non vi sono effetti in [contabilizzazione](costi-progetto.md). TheTree informa l'utente sul fatto che la richiesta precedentemente approvata è legata ad un movimento contabile, ma lascia all'utente piena libertà.[^5]

### Chiusura
Le richieste che si possono chiudere presentano un flag :material-check-circle-outline: di colore verde nella colonna **Completa** nella lista.  
Per chiudere una richiesta cliccare sul pulsante **Chiudi** nell'elenco a discesa delle **Azioni** presenti nell'ultima cella della lista.  

{==

Il pulsante :material-folder-outline: Chiudi ed il flag :material-check-circle-outline: Completa saranno presenti solo se la scrittura contabile collegata alla richiesta contiene dei documenti contabili (ricevute e/o fatture).  

==}

La chiusura di una richiesta chiude il suo ciclo di vita, visto che la stessa ha passato gli stati di *Approvata*, è stato creato un *movimento contabile* in Contabilità progetti ed al movimento contabile sono stati associate le ricevute e/o fatture a sua giustificazione.  
A seguito di una chiusura di una richiesta di pagamento TheTree non invia nessuna notifica al richiedente della stessa, visto che un Capo progetto la richiesta di fatto si chiude dopo aver consegnato i documenti giustificativi della stessa.

### Revoca e chiusura cumulative
I due pulsanti sono presenti in alto a destra e permettono di compiere le due azioni di **revoca** e **chiusura** sulle richieste selezionate attraverso la :material-checkbox-blank-outline: *(checkbox)* ad inizio riga di ogni richiesta.

[^1]: Inserire l'importo. Una maschera di inserimento inserirà *automaticamente* i due decimali dopo l'importo (in test dalla v. 1.0.4.9)  
[^2]: Se la valuta richiesta non è presente in lista rivolgersi all'amministrazione di BnD.
[^3]: Quotazioni fornite in tempo reale da [exchangerate.host](https://exchangerate.host).
[^4]: Esecuzione ora italiana: alle ore 1:00 con orario *solare*, alle ore 2:00 con orario *legale*.
[^5]: Nella versione attuale si è scelto di non eliminare direttamente la scrittura contabile a seguito di una revoca.
[^6]: Nella versione attuale per essere completa una richiesta deve contenere almeno un documento bancario che provi il pagamento ed almeno una fattura o ricevuta del fornitore che è stato pagato.
[^7]: Dalla versione 2.0.2 di TheTree.
