---
tags:
  - Progetti
  - Entrate
  - Uscite
hide:
  - tags
---

# Richiesta trasferimento

La funzione permette agli utenti con ruolo `Manager` di richiedere il trasferimento di fondi da un progetto ad un altro per necessità di gestione interna.

## Workflow
``` mermaid
graph LR
  A[Inserimento richiesta da progetto A a progetto B] --> B{Vi sono errori?};
  B -->|No| C{Approvata dal CP del progetto A?};
  B -->|Si| D{Da reinserire?}
  C -->|Si| E[Fondi trasferiti al progetto B]
  C -->|No| G
  E --> F[Contabilizzazione] 
  D -->|Si| A
  G[Fine]
  D -->|No| G
  F --> G
```

La richiesta differisce da una [Richiesta di pagamento](richiestapagamento.md) perché, in questo caso, i ruoli nella gestione si invertono: un utente `Manager` richiede lo spostamento di fondi da un progetto `A` ad un progetto `B` ed è uno degli utenti con ruolo `Capo progetto` del progetto `A` che autorizza lo spostamento di fondi verso il progetto `B`.

## Gestione richieste di trasferimento
La schermata principale visualizza le richieste di trasferiemnto presenti a sistema e permette di gestire il loro inserimento, la visualizzazione, la cancellazione e l'approvazione o meno di una richiesta.
### Ordinamento della lista
La lista è ordinabile per il campo `Data richiesta` cliccando direttamente sull'intestazione di colonna.

### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Data richiesta`
- `Richiesta da`: utente che ha richiesto il trasferimento
- `Stato`: stati della richiesta [:material-arrow-right:](#stati-di-una-richiesta)
- `Approvata da`: utente che ha approvato il pagamento
- `Progetto Da (A)`: progetto da cui devono partire i fondi (movimento in *addebito* sui conti del progetto)
- `Progetto A (B)`: progetto a cui devono arrivare i fondi (movimento in *accredito* sui conti del progetto)

### Visualizzazione dei campi
Qualora non tutti i campi fossero presenti in lista o si avesse bisogno di personalizzare la visualizzazione cliccare su **Configura le colonne** in fondo pagina a sinistra.

| Pulsante | Azione | Dove si trova? | Dettaglio |
| :------- | :----- | :---- | :---- |
| :octicons-plus-circle-16: Aggiungi | Aggiungi nuova richiesta | In alto a destra | [Inserimento](#inserimento)
| `Data richiesta` | Visualizza il dettaglio della richiesta | Lista richieste | [Visualizzazione](#visualizzazione) |
| :octicons-eye-16: Vedi | Visualizza il dettaglio della richiesta | Menù Azioni :material-dots-vertical: | [Visualizzazione](#visualizzazione) |
| :octicons-trash-16: Cancella | Cancella la voce | Menù Azioni :material-dots-vertical: e Dettaglio richiesta | [Cancellazione](#cancellazione) |
| :material-book-open-variant: Voce di costo | Scrittura contabile di riferimento | Menù Azioni :material-dots-vertical: e Dettaglio richiesta| [Approvazione](#approvazione) |
| :material-arrow-bottom-right: Entrata extra | Entrata extra per il progetto destinatario | Menù Azioni :material-dots-vertical: e Dettaglio richiesta| [Approvazione](#approvazione) |
| :octicons-check-circle-16: Approva | Approva la richiesta | Menù Azioni :material-dots-vertical: | [Approvazione](#approvazione) |
| :octicons-x-circle-16: Revoca | Revoca la richiesta | Menù Azioni :material-dots-vertical: | [Revoca](#revoca) |
| :octicons-x-circle-16: Revoca selezionate | Revoca le richieste selezionate | In alto a destra | [Revoca](#revoca) |
| :material-folder-outline: Chiudi | Chiude la richiesta | Menù Azioni :material-dots-vertical: | [Chiusura](#chiusura) |
| :material-folder-outline: Chiudi selezionate | Chiude le richieste selezionate | In alto a destra | [Chiusura](#chiusura) |
| Configura le colonne | Visualizza o nasconde le colonne in tabella | Fondo della lista record |

## Inserimento
Inserire una richiesta di trasferimento cliccando sul pulsante **Aggiungi**.

La form di richiesta prevede i seguenti campi:

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- |
| `Progetto di partenza` | :material-check: | Progetto | Scegliere il progetto da dove verranno addebitati i fondi |
| `Progetto di arrivo` | :material-check: | Progetto | Scegliere il progetto dove verranno accreditati i fondi |
| `Importo richiesto` | :material-check: | | Inserire l'importo richiesto|
| `Note` | | | Inserire eventuali note per la richiesta |

{==

**Progetto di partenza** vengono proposti solo i progetti che hanno un budget disponibile.

==}

Salvare la richiesta cliccando sul pulsante **Salva** in alto a sinistra o a fondo pagina.   
 
A seguito dell'inserimento di una richiesta di trasferimento TheTree invierà una notifica nella [dashboard](dashboard.md#notifiche-di-sistema) ed una mail agli utenti **Capo progetto** del `Progetto di partenza` per sottoporre la richiesta appena creata (la dovranno autorizzare in quanto i fondi vengono tolti dal loro progetto per essere inviati ad un altro progetto).  

{==

Sezione in aggiornamento

==}
