---
tags:
  - Progetti
  - Dati di base
  - Personalizzazioni
hide:
  - tags
---

# Saldi iniziali progetti

La lista visualizza i saldi contabili dei [progetti](progetti.md) prima dell'utilizzo di TheTree.  
Può essere frequente che un'organizzazione inizi ad utilizzare TheTree dopo anni dalla sua costituzione ed abbia dei progetti in corso, per questo è necessario avvalorare il *cassetto economico* del progetto.

## Cassetto economico

Per *cassetto economico* si intende il saldo di ciò che in contabilità gestionale si può riferire al conto di mastro[^1].  
Essendo riferito ad un progetto, di fatto, indica i **fondi disponibili** del progetto stesso.

### Ordinamento della lista
La lista è ordinabile per i campi `Codice progetto`, `Titolo progetto` e `Anno` cliccando direttamente sull'intestazione di colonna.

### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Codice progetto`
- `Titolo progetto`
- `Anno`
- `Saldo riportato`

## Azioni

### Avvalorare o modificare un saldo iniziale per un progetto
Per inserire, o modificare, un saldo iniziale per un progetto è sufficiente cliccare nella colonna `Saldo riportato` in corrispondenza del simbolo `-` o del rispettivo `Importo` già presente.  
Si aprirà una finestra popup che richiederà l'inserimento dei seguenti campi:

| Campo       | Obbligatorio | Note |
| :---------  | :----------: | :--- |
| `Ultimo anno prima dell'utilizzo di TheTree` | :material-check: | Indica l'anno a cui è riferito il saldo inserito |
| `Saldo progetto prima dell'utilizzo di TheTree` | :material-check: | Indica il saldo del conto di mastro del progetto |

Cliccare sul pulsante **Applica** per salvare il dato inserito e tornare alla lista dei progetti con i saldi.

#### Esempio
Un'organizzazione inizia ad utilizzare TheTree in data 01.01.2023.  
Dopo aver inserito tutti i progetti a sistema, utilizzando questa funzione può assegnare ai vari progetti un *saldo* al 31.12.2022 avvalorando i campi in modo seguente:

- `Ultimo anno prima dell'utilizzo di TheTree`: 2022
- `Saldo progetto prima dell'utilizzo di TheTree`: saldo dalla contabilità di progetto prima di utilizzare TheTree


[^1]: Definizione di conti di mastro su [Wikipedia](https://it.wikipedia.org/wiki/Conti_di_mastro).