---
tags:
  - Dati di base
  - Soggetti
  - Donatori
  - Soci
  - Volontari
  - Referenti
  - Prestatori di servizi
  - Ruoli in associazione
  - Mailing list
hide:
  - tags  
---

# Soggetti
La funzione permette la gestione dei **Soggetti** che contribuiscono alla vita dell'associazione e vengono identificati come: `Donatori`, `Soci`, `Volontari`, `Referenti` o `Servizi`, ma non hanno accesso a TheTree e non lo possono utilizzare.  
Per gestire dei profili che dovranno usare TheTree si dovrà usare la funzione [Utenti](utenti.md).
## Tipologie di soggetto
| Tipo soggetto | Identifica | 
| :------- | :----- |
| Privato | Un soggetto in possesso di Codice fiscale |
| Azienda | Un soggetto azienda in possesso di Partita IVA |
| Ente pubblico | Un soggetto ente pubblico |
| Ente privato | Un soggetto ente privato |
| Altro | Un soggetto che non rientra nei precedenti |

## Ruoli assegnabili ad un soggetto
| Ruolo soggetto | Identifica | Quando crearlo |
| :------- | :----- | :---- |
| Donatore | Un donatore di BnD, entità che ha inviato una donazione | Prima di inserire una [donazione](donazioni.md) |
| Socio | Un socio di BnD, entità che ha versato una quota socio annuale | Al ricevimento di una [donazione](donazioni.md) che è una quota socio |
| Volontari | Un volontario di BnD | |
| Referenti | Un referente di BnD nei progetti | |
| Servizi | Un **fornitore** di beni o servizi per BnD | Prima di inserire una [richiesta di pagamento](richiestapagamento.md) |

Per la gestione dei ruoli fare riferimento alla voce di menù [Ruoli in Associazione](ruoli-bnd.md).

## Gestione soggetti
La schermata principale visualizza i soggetti presenti a sistema e permette di gestire il loro inserimento, la visualizzazione, la cancellazione.
### Ordinamento della lista
La lista è ordinabile per i campi `Nominativo`, `Cod. fisc.`[^1], `P.IVA`[^2] e `Tipo` cliccando direttamente sull'intestazione di colonna.
### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Nominativo / Ragione sociale`
- `Cod. fisc.`[^1]
- `P.IVA`[^2]
- `Tipo`: [tipologia](#tipologie-di-soggetto) di soggetto
- `Città`
- `Stato`: stato del mondo. Riportato in lingua inglese
- `IBAN`: codice IBAN. Il campo è **nascosto** di default

I filtri in testa alla tabella sono utilizzabili attraverso il pulsante <code>:material-filter-outline: Filtri</code> ed identificano attributi globali del soggetto.
#### Ricerche globali
Sono presenti i seguenti filtri globali:

- `Ruolo in Associazione`: ricerca secondo i [ruoli](#ruoli-assegnabili-ad-un-soggetto)
- `E' un donatore ricorrente`: il soggetto è considerato donatore ricorrente ed ha un importo minimo di donazione mensile atteso
- `E' una famiglia`: tipologia di soggetto censito come **nucleo famigliare**
- `Riceve aggiornamenti email`: soggetto iscritto o meno alla lista di newsletter  

Per approfondire l'utilizzo dei filtri visitare la [sezione dedicata](assiomi.md#filtri-nelle-liste-dati-per-ricerche).

## Focus
### Donazioni del soggetto
La funzione visualizza nella lista dei soggetti un campo <code>Donazioni</code> che visualizza il totale per importo e numero donazioni nella forma `totale / numero donazioni`.  
Cliccando in corrispondenza del campo `totale / numero donazioni` si viene portati alla schermata di [Donazioni del soggetto](soggetti-donazioni.md).

### Donazioni ricorrenti
Nella scheda del soggetto è presente una sezione denominata `Dati per donazioni ricorrenti`, dov'è possibile attribuire al soggetto la qualifica di donatore ricorrente, nel caso in cui doni a favore di un progetto che preveda, ad esempio, una donazione ricorrente (versamento).  
Nella sezione è possibile:

- avvalorare il flag che identifica il soggetto come donatore ricorrente;
- indicare la cifra mensile minima attesa dalle sue donazioni;
- indicare la data di inizio delle donazioni ricorrenti;
- indicare la data di fine delle donazioni ricorrenti;

## Azioni
Le **Azioni** disponibili sono:  

| Pulsante | Azione | Dove si trova? |
| :------- | :----- | :---- |
| :octicons-plus-16: Aggiungi | Aggiunge un nuovo soggetto | Barra dei [comandi](dashboard.md#area-superiore-della-pagina) |
| :material-folder-file: Importa / Esporta | Apre le funzioni di [Importazione ed esportazione](#import-export)| Barra dei comandi |
| :octicons-pencil-16: Modifica | Visualizza / Modifica il soggetto | Lista voci |
| :octicons-trash-16: Cancella | Cancella il soggetto | Lista voci e dettaglio soggetto |
| Configura le colonne | Visualizza o nasconde le colonne in tabella | Fondo della lista record |

### Inserimento
Inserire un soggetto cliccando sul pulsante **Aggiungi**.  
#### Compilazione richiesta
La form prevede i seguenti campi:

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- |
| `E' una famiglia` |  | Informativo | Selezionare se il soggetto è un nucleo famigliare |
| `Riceve aggiornamenti email` | | Informativo | Selezionare per iscrivere il soggetto alla mailing list di BnD[^3] |
| `Fa parte del Consiglio Direttivo` | | Informativo | Selezionare per indicare che il soggetto fa parte del Consiglio Direttivo[^6] |
| `Tipo` |  | Informativo | Selezionare il tipo di soggetto tra le [tipologie](#tipologie-di-soggetto) disponibili |
| `Ruolo in BnD` |  | Informativo | Selezionare il ruolo del soggetto tra i [ruoli](#ruoli-assegnabili-ad-un-soggetto) disponibili. E' possibile assegnare ad un soggetto più di un ruolo. |
| `Nominativo / Ragione sociale` |  :material-check: | Informativo | Inserire nominativo o ragione sociale del soggetto |
| `Nominativo ai fini fiscali` |  | Informativo | Se presente sostituisce il campo precedente come intestazione delle [ricevute](donazioni.md#ricevuta) |
| `IBAN` | | Informativo | Inserire il codice IBAN del soggetto per eventuali pagamenti |
| `Bic / Swift` | | Informativo | Inserire il codice BIC/Swift del soggetto per eventuali pagamenti |
| `Sesso` | | Informativo |  |
| `Luogo di nascita` | | Informativo |  |
| `Data di nascita` | | Informativo |  |
| `Cod. fisc.` | | Informativo | Vedi [Compilazione automatica](#compilazione-automatica) |
| `P.IVA` | | Informativo |  |
| `Foto profilo` | | Informativo |  |
| `Ruolo aziendale` | | Informativo |  |
| `Note sul soggetto` | | Informativo |  |
| `Indirizzo soggetto` | | Informativo | Gruppo di campi per l'indirizzo postale del soggetto |
| `Telefoni email e profili sociale` | | Informativo | Gruppo di campi per archiviare recapiti telefonici, email ed i profili social del soggetto |
| `Dati per pagamento da Associazione` | | Informativo | Gruppo di campi registrare gli estremi dove inviare dei pagamenti e/o rimborsi al soggetto |
| `Dati per donazioni ricorrenti` | | Informativo | Gruppo di campi per indicare se un soggetto è un donatore ricorrente |


#### Compilazione automatica
Durante l'inserimento un soggetto viene inscritto automaticamente alla mailing list di BnD anche se il flag `Riceve aggiornamenti email` non viene spuntato. Il flag viene salvato come avvalorato.[^4]
##### Codice fiscale
Il campo `Codice fiscale` viene generato automaticamente dopo il salvataggio del soggetto, *solo se* sono presenti i campi `Sesso`,
`Luogo di nascita` e `Data di nascita`.

!!! note ""

    La generazione automatica è prevista solo per i soggetti di nazionalità italiana.


### Visualizzazione e Modifica
Visualizzare od accedere alla modifica del soggetto attraverso il pulsante :octicons-pencil-16: Modifica, presente nella lista delle voci.


#### Rimozione dalla mailing list
Qualora un soggetto richiedesse di essere rimosso dalla mailing list di BnD, togliere la spunta al flag `Riceve aggiornamenti email` e salvare la scheda del soggetto con il pulsante **Salva**.

#### Modificare il ruolo di un soggetto
Nella form di modifica del soggetto è possibile:  

- aggiungere un ruolo: cliccando sul campo **Ruolo in associazione** e selezionando il ruolo da aggiungere;
- cancellare un ruolo: cliccando sul simbolo <code>:octicons-x-16:</code> in corrispondenza del ruolo già presente;

### Cancellazione 
La cancellazione del soggetto può avvenire dal pulsante **<code>:material-dots-vertical:</code> Azioni** nella lista dei soggetti e dalla scheda del soggetto con il pulsante :octicons-trash-16: Cancella. 
Dopo la sua cancellazione un soggetto viene rimosso mailing list dell'organizzazione. 

#### Perché non posso cancellare un soggetto?

Non è possibile cancellare un soggetto quando:

- ha [donazioni](donazioni.md) associate;
- ha [costi progetti](costi-progetto.md) associati;

## Import / export

Il menù prevede la possibilità di importare dei `records`[^5] di soggetti e la loro esportazione.

### Importazione

La procedura avvia l'importazione dei `records`[^5], permettendo di caricare un file in formato Microsoft Excel (XLS, XLSX, o CSV) con i dati da importare.

!!! note ""

    La procedura d'importazione deve essere personalizzata secondo i file a disposizione dell'organizzazione che utilizza TheTree.

### Esportazione

La procedura avvia l'export in formato Microsoft Excel (XLSX) dei dati visualizzati in lista.  
Per i dettagli sui filtri e l'esportazione si faccia riferimento alla sezione [Effetto dei filtri nelle esportazioni](assiomi.md#effetto-dei-filtri-nelle-esportazioni) nella sezione [Assiomi](assiomi.md).

!!! note ""

    La struttura del file generato dalla procedura di export deve essere personalizzata secondo le esigenze dell'organizzazione che utilizza TheTree.



[^1]: Codice fiscale
[^2]: Partita IVA
[^3]: Se non selezionato TheTree assocerà comunque il soggetto alla mailing list
[^4]: Il soggetto viene inserito in mailing list **solo se è presente almeno un indirizzo email** nella sua scheda
[^5]: Definizione di record da [Wikipedia](https://it.wikipedia.org/wiki/Record_(informatica)).
[^6]: La caratterizzazione è necessaria per avvalorare il campo nell'esportazione del [libro soci](libro-soci.md).