---
tags:
  - Utenti
  - Ruoli in associazione
  - Mailing list
---

# Utenti
La funzione permette la gestione degli **Utenti** che hanno accesso a TheTree.

## Accesso alla funzione Utenti
La funzione è accessibile dagli Utenti che hanno un profilo come `Amministratore` e `Manager` o agli utenti che hanno il permesso `Utenti`.

## Ruoli assegnabili ad un utente
| Tipo utente | Identifica | 
| :------- | :----- |
| Amministratore| L'amministratore di sistema per TheTree |
| Manager | I responsabili dell'associazione |
| Capo progetto | I capi progetto |
| Collaboratore di progetto | Le persone che lavorano ad un progetto |
| Contabile | La figura che si occupa di rendincontazioni e bilanci |

Per la gestione dei ruoli fare riferimento alla voce di menù [Ruoli](ruoli.md).

## Gestione utenti
La schermata principale visualizza gli utenti presenti a sistema e permette di gestire il loro inserimento, la visualizzazione, la cancellazione.

### Ordinamento della lista
La lista è ordinabile per i campi `Nome`, `Email` ed `Aggiornato`[^1] cliccando direttamente sull'intestazione di colonna.

### Ricerche nella lista
I filtri presenti riguardano i campi:  

- `Nome`
- `Email`

I filtri in testa alla tabella sono utilizzabili attraverso il pulsante <code>:material-filter-outline: Filtri</code> ed identificano attributi globali dell'utente.

#### Ricerche globali
Sono presenti i seguenti filtri globali:

- `Ruolo`: ricerca secondo i [ruoli](#ruoli-assegnabili-ad-un-utente)

Per approfondire l'utilizzo dei filtri visitare la [sezione dedicata](assiomi.md#filtri-nelle-liste-dati-per-ricerche).

## Focus
### Modifica rapida di un utente  
La funzione visualizza nella lista dei soggetti un campo <code>email</code> che visualizza l'indirizzo email dell'utente.  
Cliccando in corrispondenza del valore del campo `XXX@XXX.XXX` si apre una finestra popup che permette la modifica veloce dei campi principali dell'utente: `Nome`, `Email` e `Lingua applicazione`, senza dover accedere alla scheda completa.

### Correlazioni di un utente
Nella tabella degli utenti sono presenti dei dati numerici che rappresentano il numero di *correlazioni* di un utente con le altre tabelle di sistema:

- `Collaboratore`: indica in quanti progetti l'utente è assegnato con il ruolo di **Collaboratore di progetto**.
- `Capo progetto`: indica in quanti progetti l'utente è assegnato con il ruolo di **Capo progetto**.
- `Aggiornamenti`: indica quanti [aggiornamenti di progetto](aggiornamenti-progetti.md) ha scritto l'utente[^2].
- `Documenti`: indica in quanti [documenti](documenti.md) ha caricato l'utente[^2].
- `Costi progetti`: indica in quanti [movimenti contabili](costi-progetto.md) ha inserito l'utente[^2].
- `Richieste pagamento`: indica quante [richieste di pagamento](richiestapagamento.md) sono state inserite dall'utente[^2].
- `Richieste trasferimento`: indica quante [richieste di trasferimento](richiestatrasferimento.md) sono state inserite dall'utente[^2].

Cliccando sul `[n]` si viene portati alla lista di riferimento già filtrata per visualizzare le correlazioni con l'utente.  
Ad esempio: cliccando sul `[n]` in corrispondenza della colonna *Capo progetto* si verrà portati alla lista [progetti](progetti.md) dove l'utetne ha il ruolo di *Capo progetto*.

## Azioni 

| Pulsante | Azione | Dove si trova? |
| :------- | :----- | :---- |
| :octicons-plus-16: Aggiungi | Aggiunge un nuovo utente | Barra dei [comandi](dashboard.md#area-superiore-della-pagina) |
| :octicons-pencil-16: Modifica | Visualizzazione / Modifica dell'utente | Lista voci |
| :octicons-trash-16: Cancella | Cancella l'utente | Lista voci e dettaglio utente |
| Impersona utente | Visualizza l'applicazione come se fossimo l'utente che vogliamo impersonare | Dettaglio utente |
| Configura le colonne | Visualizza o nasconde le colonne in tabella | Fondo della lista record |

### Inserimento
Inserire un utente cliccando sul pulsante **Aggiungi**.  

### Visualizzazione e Modifica
Visualizzare od accedere alla modifica del soggetto attraverso il pulsante :octicons-pencil-16: Modifica, presente nella lista delle voci.

### Compilazione richiesta su inserimento e modifica
Sia in fase di *inserimento* o *modifica* la form prevede i seguenti campi:

#### Informazioni del profilo

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- | 
| Nome | :material-check: | Informativo | Nominativo dell'utente |
| Email | :material-check: | Informativo | Indirizzo email con cui l'utente accederà al sistema |
| Lingua applicazione |  | Sistema | Lingua di sistema per l'utente. Se non impostata la lingua di default sarà italiano |

#### Password

| Campo       | Obbligatorio | Tipo di dato | Note |
| :---------  | :----------: | :--- | :--- | 
| Password | :material-check: | Informativo | Password di accesso dell'utente |

#### Ruoli   
Inserire uno o più [ruoli](ruoli.md) per l'utente, a seconda del suo ruolo nell'organizzazione.

#### Permessi
La form per assegnare dei singoli permessi di sistema è accessibile solo per gli utenti con un profilo come `Amministratore` o agli utenti che hanno il permesso `Ruoli`.

### Cancellazione
La cancellazione di un utente può avvenire dal pulsante **<code>:material-dots-vertical:</code> Azioni** nella lista degli utenti e dalla scheda dell'utente con il pulsante :octicons-trash-16: Rimuovi.   
Dopo la sua cancellazione un utente viene rimosso mailing list dell'organizzazione. 

#### Perché non posso cancellare un utente?
Non è possibile cancellare un utente di sistema quando:

- è assegnato ad uno o più [progetti](progetti.md) come collaboratore di progetto o capo progetto;
- ha scritto degli [aggiornamenti](aggiornamenti-progetti.md) per uno o più progetti;
- ha caricato almeno un documento nel [gestore documentale](documenti.md);
- ha inserito almeno una scrittura contabile nei [costi progetti](costi-progetto.md);
- ha inserito almento una [richiesta di pagamento](richiestapagamento.md);
- ha inserito almento una [richiesta di trasferimento](richiestatrasferimento.md);


[^1]: indica la data di ultimo aggiornamento del profilo dell'utente.
[^2]: questa colonna di default è nascosta. Visualizzarla utilizzando il pulsante *Configura le colonne* in fondo alla lista.